import React, { useState, useEffect } from 'react';
import { Input ,Tabs,Table,Space, Button} from 'antd';
const { TabPane } = Tabs;

import {connect,history} from 'umi';




import TitleSearch from '@/components/TitleSearch/TitleSearch'
import SearchOptionsCommnity from '@/components/SearchOptions/SearchOptionsCommnity'
import { RA, SA } from '@/utils/method';
import { objectColumns } from '@/utils/string'; 
import { timestampToTime } from '@/utils/time';
const module="CellList"
const CellList = (props:any) => {

  const columns = objectColumns([
    ["Community", "residentialName"],
    ["Administrator", "residentialManagerUserName"],  
    ["Operation Hours", null, (text: any, record: any) => (<div></div>)],
    ["Office Tel", "residentialPhone"],
    ["Address", "residentialAddress"],    
    ["Actions", null, (text: any, record: any) => (<Space size="middle">
      <a onClick={goToDetail.bind(this, record)}>Edit</a>
      <a onClick={goToDetail.bind(this,record)}>Detail</a>
    </Space>)],
  ])
  

  const { dispatch, Data } = props;
  const Pagechange = () => {
    
  }

  useEffect(() => {
    RA(24, {communityName: "" }, module, dispatch);
  }, [])
  useEffect(() => {
    if (Data != null) {
      //console.log(columnsVal)
    }
  }, [Data])
  const CallbackSearch = (values:any) => {    
    RA(24, {communityName: values }, module, dispatch);
  }
  const goToAdd = () => {
    history.push("./CellList/Add");
  }
  const goToDetail = (values: any, e: any) => {
    SA(values,module,dispatch)
    history.push("./CellList/Detail");
  }
  return (
    <div style={{ width: "100%", minWidth: 1020, padding: 34, backgroundColor: "#ffffff" }}> 
    {
        Data != null ? <>
          {/* <TitleSearch listkey={['communityName']}   list={['Community Name']}  onSubmit={CallBackTitleSearch}/> */}
          <SearchOptionsCommnity alone={true} onSubmit={CallbackSearch} />
          <div style={{height:80,position:"relative"}}>
            <div style={{ position: "absolute", right: 0 }}>
              <Button type="primary" onClick={goToAdd}>Create new Community</Button>
            </div>
          </div>
          <Table loading={false} rowKey="id" style={{ marginTop: 16 }}
            dataSource={Data.rows}
            columns={columns}
            pagination={{ defaultCurrent: 1, total: Data.total}} />  
          
        </> : null
    }  
      
    </div>
  );
};

function map(state:any) {
  const { Data} = state[module]
  return { Data}
}
export default connect(map)(CellList);