import React, { useState, useEffect } from 'react';
import {connect,history} from 'umi';
import { Input ,Tabs,Table,Space, Button} from 'antd';
const { TabPane } = Tabs;

import { objectColumns } from '@/utils/string'; 
import {timestampToTime3, timestampToTime} from '@/utils/time'
// communityNum: "A7"
// count: 0
// createTime: "Jul 8, 2020 7:38:37 PM"
// deleted: 0
// extend: ""
// id: "2f9b5e98a2ea4b79b75242b1b34301bd"
// noticEndTime: "Aug 23, 2020 7:38:29 PM"
// noticImageName: "3.jpg"
// noticScope: 0
// noticStartTime: "Aug 20, 2020 7:38:26 PM"
// noticText: "噶防范发更好覅单号梵蒂冈很反感辅导班梵蒂冈房管局覅北京饭店个法币发动机盖我甲方的GV第八届发第十九GIF大锅饭"
// noticTitlel: "大家好，今年端午节不放假"
// updateTime: "Jun 28, 2020 7:38:39 PM"


import { RA } from '@/utils/method';

const goToAdd = () => {
  history.push("./CommunityAnnouncement/Add");
}
const module="CommunityAnnouncement"
const CommunityAnnouncement = (props:any) => {

  const columns = objectColumns( [
    ["community", "communityNum"],
    ["Title", "noticTitlel"],
    ["Publish Time", "noticStartTime", (text: any, record: any) => (<Space size="middle">{text!=null? timestampToTime(text.time):null}</Space>)],  
    ["noticScope", "noticScope"],    
    ["Actions",null, (text: any, record: any) => (<Space size="middle"> <a>Detail</a></Space>)],
  ])

  const { dispatch, Data } = props;
  useEffect(() => {
    RA(25,{communityNum: "", noticTitlel: "" },module,dispatch)
  },[])
  return (
    <div style={{ width: "100%", minWidth: 1020, padding: 34, backgroundColor: "#ffffff" }}>       
      
      <div style={{height:80,position:"relative"}}>            
        <div style={{ position: "absolute", right: 0 }}><Button type="primary" onClick={goToAdd}>Create new Announcement</Button></div>            
      </div>
      
      {Data!=null?
      <Table
        loading={false}
        rowKey="id"
        style={{ marginTop: 16 }}
        dataSource={Data.rows}
        columns={columns}
        pagination={{ current: 1, total: Data.total}} />:null}   
    </div>
  );
};

function map(state:any) {
  const { Data} = state[module]
  return { Data}
}
export default connect(map)(CommunityAnnouncement);

//备注 发布人缺少 发布时间格式错误